import RuntimeLayer from './layer';
declare const RuntimeSyntaxLayer: {
    new (...args: any[]): {
        rules: import("@master/css").SyntaxRule[];
        insert(syntaxRule: import("@master/css").SyntaxRule): number | undefined;
        delete(key: string): import("@master/css").SyntaxRule | undefined;
        insertVariables(syntaxRule: import("@master/css").SyntaxRule): void;
        insertAnimations(syntaxRule: import("@master/css").SyntaxRule): void;
        readonly tokenCounts: Map<string, number>;
        name: string;
        css: import("@master/css").MasterCSS;
        attach(): void;
        detach(): void;
        reset(): void;
        readonly text: string;
    };
} & typeof RuntimeLayer;
export declare type RuntimeSyntaxLayerInstance = InstanceType<typeof RuntimeSyntaxLayer>;
export default RuntimeSyntaxLayer;
